Bug 163182 - Network tests fail due to nfs mount timeout
Network tests fail due to nfs mount timeout
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Rob Landry
Depends On:
  Show dependency treegraph
Reported: 2005-07-13 15:44 EDT by Matt Chorman
Modified: 2007-04-18 13:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-27 13:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Chorman 2005-07-13 15:44:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Running the network tests fails on the UDP test component with the following error:

Mount: RPC: Timed out

This occurs because the mount command is executed immediately after running the exportfs command. 

In /usr/share/rhr/tests/network/udp on line 23 I added a "sleep 30" command. This causes the test to pass.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run iSpec on test server.
2. Install RHEL4 UP1 on System Under Test using network boot and kickstart file provided by iSpec.
3. Allow system to run through automated tests. Network tests will fail with above error message.

Additional info:
Comment 1 Matt Chorman 2005-07-27 13:18:34 EDT
Sorry, did not realize this package was outdate. Running with
rhr2-1.1.3.noarch.rpm allows this test to pass.

I am closing this bug and recommend you not spend any time running this down as
an update package works. 

Note You need to log in before you can comment on or make changes to this bug.